@charset "utf-8";

/**
 * @author  : 김민성
 * @date    : 2026-08-04
 * @desc    : 폰트 관리 스타일 (프리텐다드, 본명조(CDN))
 */



/* 프리텐다드 폰트 */
@font-face {
    font-family: 'pretendard';
    font-weight: 100; /* Thin */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Thin.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Thin.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 200; /* ExtraLight */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-ExtraLight.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-ExtraLight.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 300; /* Light */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Light.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Light.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 400; /* Regular */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Regular.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Regular.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 500; /* Medium */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Medium.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Medium.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 600; /* SemiBold */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-SemiBold.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-SemiBold.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 700; /* Bold */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Bold.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Bold.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 800; /* ExtraBold */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-ExtraBold.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-ExtraBold.woff) format('woff');
}

@font-face {
    font-family: 'pretendard';
    font-weight: 900; /* Black */
    font-display: swap;
    src: url(../fonts/pretendard/woff2/Pretendard-Black.woff2) format('woff2'),
         url(../fonts/pretendard/woff/Pretendard-Black.woff) format('woff');
}

/* 본명조 (Source Han Serif KR) 폰트 */
/* Noto Serif KR 폰트 */
@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 200; /* ExtraLight */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-ExtraLight.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-ExtraLight.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 300; /* Light */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-Light.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-Light.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 400; /* Regular */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-Regular.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-Regular.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 500; /* Medium */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-Medium.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-Medium.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 600; /* SemiBold */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-SemiBold.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-SemiBold.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 700; /* Bold */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-Bold.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-Bold.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 800; /* ExtraBold */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-ExtraBold.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-ExtraBold.woff) format('woff');
}

@font-face {
    font-family: 'noto-serif-kr';
    font-weight: 900; /* Black */
    font-display: swap;
    src: url(../fonts/Noto_Serif_KR/NotoSerifKR-Black.woff2) format('woff2'),
         url(../fonts/Noto_Serif_KR/NotoSerifKR-Black.woff) format('woff');
}

/* 원 모바일 고딕 제목 */
@font-face {
    font-family: 'one-mobile-title';
    font-weight: 400; /* Regular */
    font-display: swap;
    src: url(../fonts/ONE-Mobile-Title.woff) format('woff');
}